'use strict'
// @ts-check

/**
 * @typedef TScaffoldingType
 * @type {'controller'|'route'|'model'|'schema'}
 */

/**
 * @typedef TScaffoldingLogLevel
 * @type {'error'|'warn'|'info'|'log'|'debug'}
 */
/**
 * @typedef TScaffoldingLogColor
 * @type {'white'|'red'|'yellow'|'cyan'|'green'|'gray'}
 */

/**
 *
 * @typedef IScaffoldingConfig
 * @type {Object}
 * @property {IScaffoldingPathConfig} path
 * */

/**
 *
 * @typedef IScaffoldingPathConfig
 * @type {Object}
 * @property {string} controllers
 * @property {string} routes
 * @property {string} models
 * @property {string} schemas
 * */
